{{page-title @model.team.name ' | ' (capitalize (t 'team'))}}

<div class='main-container'>
  <div class='view-browse'>
    <div class='container mt-4'>
      <div class='row'>
        <div class='col'>
          <h1>{{@model.team.name}}</h1>

          {{#if this.accessConfig.isMultiProjectMode}}
            <nav aria-label='breadcrumb'>
              <ol class='breadcrumb p-0'>
                <li class='breadcrumb-item'>
                  <LinkTo @route='browse'>
                    {{capitalize (t 'browse')}}
                  </LinkTo>
                </li>
                <li class='breadcrumb-item'>
                  {{capitalize (t 'team')}}
                </li>
                <li
                  class='breadcrumb-item active'
                  aria-current='page'
                >{{@model.team.name}}</li>
              </ol>
            </nav>
          {{/if}}
        </div>
      </div>

      <div class='row'>
        <div class='col'>
          <Article::Viewer @value={{this.contentBlocks}} />

          <View::Gallery
            @value={{this.galleryPageColValue}}
            @model={{@model}}
            class='picture-list mb-5'
          />

          {{#if @model.members}}
            <div class='row'>
              <div class='col'>
                <h2 class='capitalize-first-letter'>
                  {{t 'members'}}
                </h2>
                <div class='pt-3 pb-3'>
                  {{#each @model.members as |member|}}
                    <Browse::Profile::Card
                      @profile={{member}}
                      class='me-3 mb-2 align-top'
                    />
                  {{/each}}
                </div>
              </div>
            </div>
          {{/if}}
        </div>
      </div>

      {{#if @model.team.canEdit}}
        <div class='row mt-2'>
          <div class='col'>
            <LinkTo
              @route='manage.teams.edit'
              @model={{@model.team.id}}
              class='btn btn-outline-secondary'
            >
              <FaIcon @icon='pencil-alt' />
              {{t 'edit-label'}}
            </LinkTo>
          </div>
        </div>
      {{/if}}

      {{#if @model.maps}}
        <div class='row'>
          <div class='col'>
            <h2 class='mt-3 capitalize-first-letter'>
              {{t 'team maps'}}
            </h2>
            <div
              class='row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4'
            >
              {{#each @model.maps as |map|}}
                <div class='col'>
                  <Browse::Map::Card @map={{map}} />
                </div>
              {{/each}}
            </div>
          </div>
        </div>
      {{/if}}

      {{#if @model.campaigns}}
        <div class='row'>
          <div class='col'>
            <h2 class='mt-3 capitalize-first-letter'>
              {{t 'team surveys'}}
            </h2>
            <div
              class='row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 view-campaigns'
            >
              {{#each @model.campaigns as |campaign|}}
                <div class='col'>
                  <Browse::Campaign::Card
                    @campaign={{campaign}}
                    @onDelete={{this.deleteCampaign}}
                  />
                </div>
              {{/each}}
            </div>
          </div>
        </div>
      {{/if}}
    </div>
  </div>
</div>